QGIS Application - Bug report #12186
wrong message displayed on status bar when a layer has been removed
2015-02-11 10:15 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20376
Description

Select layers in TOC and click on any button that removes a layer from the project.

You get a message box "Remove x legend entries?". click Yes.

Then, when in QGIS<2.4, the status bar showed a message like "x legend entries removed", in QGIS Master and Brighton status bar
shows "Remove x legend entries ?". It still asks the question instead of showing the result.

This is a bit confusing the first time you got, doubting if you had removed or not the layers.

It's not a huge blocking feature but as it worked in earlier releases...
Seen on windows 7, QGIS 64 bits 2.6 and master 47ffa70

History

#1 - 2015-02-11 07:58 PM - Martin Dobias
- Priority changed from Severe/Regression to Normal

#2 - 2015-02-11 08:16 PM - Martin Dobias
- Status changed from Open to Feedback

Just tested with QGIS master and it says "x legend entries removed" as expected. | haven't seen the question being displayed in the status bar.

#3 - 2015-02-12 12:45 AM - Harrissou Santanna
- Status changed from Feedback to Closed

Hi,

Just tested again in english now and realised it's rather a problem of bad translation. In french, the translator has just kept the same string as for the
question in the message box.

Sorry for the noise.

| close it.

#4 - 2015-02-12 12:50 AM - Giovanni Manghi
- Resolution set to invalid
